//
// Created by #Suyghur, on 2021/06/11.
//

#ifndef EYUANCOMMSDK_KTX_LOGGER_H
#define EYUANCOMMSDK_KTX_LOGGER_H

#include <string>
#include <android/log.h>
#include <jni.h>

#ifdef __cplusplus
extern "C" {
#endif

#define TAG "eyuangame_jni"
#define LOGD(...)  __android_log_print(ANDROID_LOG_DEBUG,TAG,__VA_ARGS__) // 定义LOGD类型
#define LOGE(...)  __android_log_print(ANDROID_LOG_ERROR,TAG,__VA_ARGS__) // 定义LOGD类型


class Logger {
public:
    static bool is_debug;

    static void D(JNIEnv *env, const std::string &msg);

    static void I(JNIEnv *env, const std::string &msg);

    static void E(JNIEnv *env, const std::string &msg);

    static void LogHandler(JNIEnv *env, const std::string &msg);

};

#ifdef __cplusplus
}
#endif

#endif //EYUANCOMMSDK_KTX_LOGGER_H
